Page 1 of 4 123 ... LastLast
Results 1 to 10 of 33

Thread: Update error

  1. #1

    Default Update error

    I have a strange update error today: "Permission to access 'http://packman.inode.at/suse/openSUSE_Leap_15.2/repodata/respomd.xml' denied"
    I looked for other packman URLs but had already problems finding them on the openSUSE website. Finally I found one musing startpage: https://ftp.gwdg.de/pub/linux/misc/packman/suse/openSUSE_Leap_$releasever/Essentials' with the error message 404 Not Found. So I have 2 questions:
    Why did the updates work and they are now suddenly denied?
    Where is a link on the openSUSE site for packman repos (different than the two not working)?
    Regards
    Uli

  2. #2
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    30,872
    Blog Entries
    15

    Default Re: Update error

    Quote Originally Posted by fuerstu View Post
    I have a strange update error today: "Permission to access 'http://packman.inode.at/suse/openSUSE_Leap_15.2/repodata/respomd.xml' denied"
    I looked for other packman URLs but had already problems finding them on the openSUSE website. Finally I found one musing startpage: https://ftp.gwdg.de/pub/linux/misc/packman/suse/openSUSE_Leap_$releasever/Essentials' with the error message 404 Not Found. So I have 2 questions:
    Why did the updates work and they are now suddenly denied?
    Where is a link on the openSUSE site for packman repos (different than the two not working)?
    Regards
    Uli
    Hi
    Did you see the announcement about packman moving today?
    https://forums.opensuse.org/showthre...-future-again-)

    See http://packman.links2linux.org/mirrors
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  3. #3

    Default Re: Update error

    Thank you, malcolmlewis, I didn't get this announcement. This is probably the reason as well why my Tumbleweed machine reported 48 update errors and wanted to switch packages to opnSUSE repos. I postponed the update....
    So I presume it will be up again tomorrow. Nevertheless the packman mirror list should be on the openSUSE website or is it just hidden there?

  4. #4
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    30,872
    Blog Entries
    15

    Default Re: Update error

    Quote Originally Posted by fuerstu View Post
    Thank you, malcolmlewis, I didn't get this announcement. This is probably the reason as well why my Tumbleweed machine reported 48 update errors and wanted to switch packages to opnSUSE repos. I postponed the update....
    So I presume it will be up again tomorrow. Nevertheless the packman mirror list should be on the openSUSE website or is it just hidden there?
    Hi
    Not really it's a third party provider and due to the nature of the packages rebuilt there it requires separation
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  5. #5
    Join Date
    Jul 2008
    Location
    Warrington, England
    Posts
    133

    Default Re: Update error Where to point in YaST for Packman repro?

    20210228 09.36 GMT
    1. I understand packman repository is "moving". But update in YaST fails as noted.
    2. For the ignorant.
    How do I point my YaST repository at the correct place for Packman updates? for LEAP 15.2 .

    Please detail for the totally ignorant, because i usually just point to community and packman.
    Please detail exactly how to solve this problem.

    3 A reference to a mirror does not mean anything to me.

    4, Has change been done yet?

    Sorry to be ignorant, but some of us are just users.
    Regards
    Eionmac
    openSUSE LEAP 15.2 , Windows 10 ; standby Leap 15.2 on second USB external drive. Various old computers dual boot and Live Linux distros

  6. #6
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    5,537

    Default AW: Update error

    Disable the Packman Repo:
    Code:
    zypper mr -d -F http://packman.inode.at/suse/openSUSE_Leap_15.2/
    Add an mirror:
    Code:
    zypper ar -f -p 20 https://ftp.halifax.rwth-aachen.de/packman/suse/openSUSE_Leap_15.2/ packman-rwth

  7. #7
    Join Date
    Jul 2008
    Location
    Warrington, England
    Posts
    133

    Default Re: AW: Update error

    20210228 10.07 GMT thanks for your very speedy response.
    Quote Originally Posted by Sauerland View Post
    Disable the Packman Repo:
    Code:
    zypper mr -d -F http://packman.inode.at/suse/openSUSE_Leap_15.2/
    Add an mirror:
    Code:
    zypper ar -f -p 20 https://ftp.halifax.rwth-aachen.de/packman/suse/openSUSE_Leap_15.2/ packman-rwth
    I do not use Zypper ,, but update through YaST.
    I have disabled the packman.inode.at/suse/openSUSE_Leap15.2. in YaST.

    I have pointed YaST repository to URL (the first one in list of mirrors in Germany given in another answer, to same problem)
    http://packman.jacobs-university.de/...USE_Leap_15.2/

    I have enabled this repository with priority 90

    Is this sufficient or should I change to Aachen mirror ? and if so how?

    You are teaching new things to a very old dog with little command line experience. (YaST since SuSE 9)
    Thank for your help in advance.
    Regards
    Eionmac
    openSUSE LEAP 15.2 , Windows 10 ; standby Leap 15.2 on second USB external drive. Various old computers dual boot and Live Linux distros

  8. #8
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    5,537

    Default AW: Update error

    I have used zypper because its easier to get it working as saying klick here, klick there, use this URL.......

    zypper and Yast-Software Repositories are doing the same, so its your turn......

    Use the mirror you think, I use this mirror.

  9. #9
    Join Date
    Jul 2008
    Location
    Warrington, England
    Posts
    133

    Default Re: AW: Update error

    Quote Originally Posted by Sauerland View Post
    I have used zypper because its easier to get it working as saying klick here, klick there, use this URL.......

    zypper and Yast-Software Repositories are doing the same, so its your turn......

    Use the mirror you think, I use this mirror.
    Thank you for your help.
    I understand zipper CLI way, but I cannot teach this to other folk (mostly 70 age and above) as they only use GUI ways.

    Why I was intrigued is your link went to a "https://ftp" site while I note in YaST the sites are only "http://".

    Is it safer to switch to the site you show, do they have a https:// site link for html or only https://ftp site? AND
    will a ftp site work inside YaST?

    Answers will help me teach others I have put on openSUSE Leap 15.2 (or rather LEAP 15.0, then 15.1 and currently 15.2)
    Thanks in advance.
    Regards
    Eionmac
    openSUSE LEAP 15.2 , Windows 10 ; standby Leap 15.2 on second USB external drive. Various old computers dual boot and Live Linux distros

  10. #10
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    28,280

    Default Re: AW: Update error

    Quote Originally Posted by eionmac View Post
    Why I was intrigued is your link went to a "https://ftp" site while I note in YaST the sites are only "http://".
    I think you confused yourself. The part 'https://" defines the protocol tp be used. What comes after it 'ftp.gwdg.de' is a host-domainname and the 'ftp' is the hostname there. That can be anything (well, there is a restricted character set). They could have called it blababla.gwdg.de, but they choose ftp.gwdg.de. (probably because the system also provides ftp:// protocol or did that earlier, but that is only my guess).

    Zypper/YaST supports http as well as https protocol (and more).
    Last edited by hcvv; 28-Feb-2021 at 06:24.
    Henk van Velden

Page 1 of 4 123 ... LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •